Package jaxe

# Interface Fonction

All Known Implementing Classes:
  `FonctionAjStyle`, `FonctionNormal`

public interface Fonction
Fonction applicable au document XML, et lançable à partir des menus. Doit correspondre à un élément FONCTION dans le fichier de configuration de Jaxe. Le constructeur peut avoir en paramètre "Element fctdef" pour avoir l'élément correspondant du fichier de config. Ceci permet ensuite d'appeler la méthode de Config valeurParametreFonction() pour obtenir les valeurs des paramètres.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`appliquer(JaxeDocument doc, int start, int end)`
Applique la fonction au document.

## Method Details

### appliquer

boolean appliquer(JaxeDocument doc, int start, int end)
Applique la fonction au document. La position de la sélection du texte est donnée par start et end. start == end s'il n'y a pas de sélection (dans ce cas c'est juste la position du curseur).